#ifndef SCT_CALIBRATIONCONTROL_RXTHRESHOLDBASEDONCONFIGREGISTERCONFIGUPDATER_H
#define SCT_CALIBRATIONCONTROL_RXTHRESHOLDBASEDONCONFIGREGISTERCONFIGUPDATER_H

#include "ConfigUpdater.h"

namespace SctCalibrationController {

class RxThresholdBasedOnConfigRegisterConfigUpdater : public ConfigUpdater{
private:
  static void updateUsing(const int REGISTER, const int threshold, const unsigned int linkNumber, Sct_SctApi::SctApiIPC_ptr api, const unsigned long mid, const std::string & name);
public:
    virtual void update(const SctData::TestResult& t, Sct_SctApi::SctApiIPC_ptr api) const;

private:
    RxThresholdBasedOnConfigRegisterConfigUpdater() {;}
    static bool inMap;
};
}

#endif //SCT_CALIBRATIONCONTROL_RXTHRESHOLDBASEDONCONFIGREGISTERCONFIGUPDATER_H
