#ifndef SEQUENCELIBRARY_H
#define SEQUENCELIBRARY_H

#include "CalibrationController.hh"
#include <ipc/object.h>
#include <boost/utility.hpp>

namespace SctCalibrationController {
namespace Ipc {

class SequenceRequestImpl;

class SequenceLibrary : 
  public IPCObject<POA_Sct_CalibrationController::SequenceLibrary>,
  boost::noncopyable {
public:
    virtual ~SequenceLibrary();
    
    virtual Sct_CalibrationController::SequenceRequest_ptr characterizationSequence (/*Sct_CalibrationControllerStatus *_status*/) = 0;

    //  virtual SequenceRequestImpl& characterizationSequence() const = 0;
    
protected:    
    SequenceLibrary();
};    
}        
}

#endif //SEQUENCELIBRARY_H
