#ifndef SCTDATADISPLAY_TRIMRANGEDISPLAYER_H
#define SCTDATADISPLAY_TRIMRANGEDISPLAYER_H

#include "Displayer.h"
class TH1;

namespace SctDataDisplay {
    
/**
  Displays Trim Range TestResults
  @author Matthew Palmer
  */
class TrimRangeDisplayer : public Displayer {
public:
    shared_ptr<DisplayData> display(shared_ptr<const Sct::Serializable> data, const DisplayInfo& info, std::ostream& os);
    
 protected:
    static void configureTrimHist(TH1& h);
private:
    static bool inMap;
};
}

#endif //SCTDATADISPLAY_TRIMRANGEDISPLAYER_H
