#ifndef SCTDATA_TXCURRENTBASEDONCONIGREGISTER_SUMMARYWRITER_H
#define SCTDATA_TXCURRENTBASEDONCONIGREGISTER_SUMMARYWRITER_H
#include "SummaryWriter.h"

namespace SctData {
    namespace TestSummary{
	/**
	   Output the result of a TxCurrentTest.
	*/
	class TxCurrentSummaryWriter : public SummaryWriter {
	public:
	    ///override
	    virtual void write(const TestResult& t, std::ostream& os) const throw(Sct::IoError, Sct::LogicError);
	private:
	    static bool inMap;
	};
    }
}

#endif // SCTDATA_TXCURRENTBASEDONCONIGREGISTER_SUMMARYWRITER_H
