#ifndef SCTDATA_DOUBLETRIGGERNOISE_SUMMARYWRITER_H
#define SCTDATA_DOUBLETRIGGERNOISE_SUMMARYWRITER_H

#include "SummaryWriter.h"

namespace SctData {
    class DoubleTriggerNoiseTestResult;
    namespace TestSummary{
	/**
	   Output the result of a DoubleTriggerNoiseTest.
	   Just 12 * peak, average
	*/
	class DoubleTriggerNoiseSummaryWriter : public SummaryWriter {
	public:
	    ///override
	    virtual void write(const TestResult& t, ostream& os) const throw(Sct::IoError, Sct::LogicError);
	private:
	    static bool inMap;
	};
    }
}

#endif //#ifndef SCTDATA_DOUBLETRIGGERNOISE_SUMMARYWRITER_H
